;===============================================================================
;
; muddled sketch 1.1
;
;===============================================================================
header
hirom

;===============================================================================
; main
;===============================================================================
org     $C2151F
sketch_main:

    ;init
        TYX
        JSR $298A           ;null attack
        LDA #$FF
        STA $B7             ;null animation

    ;setup attack
        LDA #$20            ;can't dodge flag
        TSB $11A4           ;setup flag
        LDA #$01            ;miss if status immune
        TSB $11A7           ;setup flag
        LDA #$20            ;muddle
        TSB $11AB           ;setup flag
        LDA #$AA            ;sketch special code
        STA $11A9           ;setup it

    ;execute animation
        JSR $317B           ;execute one hit

    ;null second attack
        LDA #$FF
        STA $3400

    ;exit
        RTS

warnpc  $C21554

;===============================================================================
; - skip miss chance except for party case
; - sketch bug fix
;===============================================================================
org     $C23B2D

;-------------------------------------------------------------------------------
; skip miss chance
;-------------------------------------------------------------------------------
sketch_miss:

    ;skip miss chance
        JMP $3B42

;-------------------------------------------------------------------------------
; bug fix
;-------------------------------------------------------------------------------
sketch_fix:

    ;check pointer
        LDA ($76),Y             ;bug: loaded value may be corrupted
        BMI .fix                ;if value is corrupted, fix it.

    ;value is acceptable. continue normal procedure
        ASL
        JMP $F5E7               ;continue normal code

    ;value was corrupted. to force safe approach
    .fix
        LDX #$FFFF              ;safe value
        JMP $F5F1               ;continue normal code

warnpc  $C23B42

;===============================================================================
; bug fix link
;===============================================================================
org     $C2F5E4
sketch_fix_link:

    ;redirect
        JMP sketch_fix      ;link for sketch bug fix

warnpc  $C2F5E7

